## net.sourceforge.pmd.ast
Class ASTFieldDeclaration

    java.lang.Object
      net.sourceforge.pmd.ast.SimpleNode
          net.sourceforge.pmd.ast.SimpleJavaNode
              net.sourceforge.pmd.ast.AccessNode
                  net.sourceforge.pmd.ast.ASTFieldDeclaration

All Implemented Interfaces:
  Dimensionable, JavaNode, Node

public class ASTFieldDeclaration
extends AccessNode
implements Dimensionable

Field Summary

Fields inherited from class net.sourceforge.pmd.ast.AccessNode
`ABSTRACT, FINAL, NATIVE, PRIVATE, PROTECTED, PUBLIC, STATIC, STRICTFP, SYNCHRONIZED, TRANSIENT, VOLATILE`

Fields inherited from class net.sourceforge.pmd.ast.SimpleNode
`beginColumn, beginLine, children, endColumn, endLine, id, parent, parser`

Constructor Summary
`ASTFieldDeclaration(int id)`
`ASTFieldDeclaration(JavaParser p, int id)`

Method Summary
`void` `dump(java.lang.String prefix)`
`int` `getArrayDepth()`
`java.lang.String` `getVariableName()` Gets the variable name of this field.
`boolean` `isArray()`
`boolean` `isFinal()`
`boolean` `isInterfaceMember()`
`boolean` `isPackagePrivate()`
`boolean` `isPrivate()`
`boolean` `isProtected()`
`boolean` `isPublic()`
`boolean` `isStatic()`
`boolean` `isSyntacticallyFinal()`
`boolean` `isSyntacticallyPublic()`
`boolean` `isSyntacticallyStatic()`
`java.lang.Object` `jjtAccept(JavaParserVisitor visitor, java.lang.Object data)` Accept the visitor.

Methods inherited from class net.sourceforge.pmd.ast.AccessNode
`collectDumpedModifiers, isAbstract, isNative, isStrictfp, isSynchronized, isTransient, isVolatile, removeModifier, setAbstract, setFinal, setModifiers, setNative, setPrivate, setProtected, setPublic, setStatic, setStrictfp, setSynchronized, setTransient, setVolatile`

Methods inherited from class net.sourceforge.pmd.ast.SimpleJavaNode
`childrenAccept, jjtClose, jjtOpen, toString`

Methods inherited from class net.sourceforge.pmd.ast.SimpleNode

`appendElement, asXml, containsChildOfType, discardIfNecessary, dumpChildren, findChildNodesWithXPath, findChildrenOfType, findChildrenOfType, findChildrenOfType, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getScope, jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtReplaceChild, jjtSetParent, setDataFlowNode, setDiscardable, setImage, setScope, setUnDiscardable, testingOnly__setBeginColumn, testingOnly__setBeginLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface net.sourceforge.pmd.ast.Node
`jjtAddChild, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtSetParent`

Constructor Detail

### ASTFieldDeclaration

    public ASTFieldDeclaration(int id)

### ASTFieldDeclaration

    public ASTFieldDeclaration(JavaParser p,
                               int id)

Method Detail

### jjtAccept

    public java.lang.Object jjtAccept(JavaParserVisitor visitor,
                                      java.lang.Object data)

  Accept the visitor. *

  Specified by:
    `jjtAccept` in interface `JavaNode`
  Overrides:
    `jjtAccept` in class `SimpleJavaNode`

### isSyntacticallyPublic

    public boolean isSyntacticallyPublic()

### isPublic

    public boolean isPublic()

  Overrides:
    `isPublic` in class `AccessNode`

### isSyntacticallyStatic

    public boolean isSyntacticallyStatic()

### isStatic

    public boolean isStatic()

  Overrides:
    `isStatic` in class `AccessNode`

### isSyntacticallyFinal

    public boolean isSyntacticallyFinal()

### isFinal

    public boolean isFinal()

  Overrides:
    `isFinal` in class `AccessNode`

### isPrivate

    public boolean isPrivate()

  Overrides:
    `isPrivate` in class `AccessNode`

### isPackagePrivate

    public boolean isPackagePrivate()

  Overrides:
    `isPackagePrivate` in class `AccessNode`

### isProtected

    public boolean isProtected()

  Overrides:
    `isProtected` in class `AccessNode`

### isInterfaceMember

    public boolean isInterfaceMember()

### isArray

    public boolean isArray()

  Specified by:
    `isArray` in interface `Dimensionable`

### getArrayDepth

    public int getArrayDepth()

  Specified by:
    `getArrayDepth` in interface `Dimensionable`

### dump

    public void dump(java.lang.String prefix)

  Overrides:
    `dump` in class `SimpleNode`

### getVariableName

    public java.lang.String getVariableName()

  Gets the variable name of this field. This method searches the first VariableDeclartorId node and returns it's image or `null` if the child node is not found.

  Returns:
    a String representing the name of the variable

Copyright © 2002-2006 InfoEther. All Rights Reserved.